MailcrateDocs
Hosted page domains

Add a hosted page domain

POST
/public/hosted-page-domain

Requires the hosted-page-domain:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Request Body

application/json
  1. body
hostname*string
Lengthlength <= 253

Response Body

application/json
  1. response
id*string
hostname*string
status*string
Value in"failed""pending""verified""verifying"
dnsRecords*array<>
lastVerificationCheck*|
Formatdate-time
verifiedAt*|
Formatdate-time
failureReason*string|null
created*string
Formatdate-time
Example Request
curl -X POST 'https://api.mailcrate.io/public/hosted-page-domain' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{  "hostname": "string"}'
Example Response
{  "id": "string",  "hostname": "string",  "status": "failed",  "dnsRecords": [    {}  ],  "lastVerificationCheck": "2019-08-24T14:15:22Z",  "verifiedAt": "2019-08-24T14:15:22Z",  "failureReason": "string",  "created": "2019-08-24T14:15:22Z"}